
/* 
 * This file is adapted to be compatible with
 * pcc32 C compiler and Windows 32 bit.
 */

#ifndef _INC_SIGNAL
#define _INC_SIGNAL

#ifndef _CRTIMP
#ifdef  _DLL
#define _CRTIMP __declspec(dllimport)
#else
#define _CRTIMP
#endif
#endif

#if !defined(__cdecl)
#define __cdecl
#endif

#ifndef _SIG_ATOMIC_T_DEFINED
typedef int sig_atomic_t;
#define _SIG_ATOMIC_T_DEFINED
#endif

#define NSIG 23

#define SIGINT          2
#define SIGILL          4
#define SIGFPE          8
#define SIGSEGV         11
#define SIGTERM         15
#define SIGBREAK        21
#define SIGABRT         22

#define SIG_DFL (void (__cdecl *)(int))0
#define SIG_IGN (void (__cdecl *)(int))1
#define SIG_SGE (void (__cdecl *)(int))3
#define SIG_ACK (void (__cdecl *)(int))4


#define SIG_ERR (void (__cdecl *)(int))-1

#if     defined(_MT) || defined(_DLL)
extern void * * __cdecl __pxcptinfoptrs(void);
#define _pxcptinfoptrs  (*__pxcptinfoptrs())
#else 
extern void * _pxcptinfoptrs;
#endif

_CRTIMP void (__cdecl * __cdecl signal(int, void (__cdecl *)(int)))(int);
_CRTIMP int __cdecl raise(int);



#endif

